import { Form, Input, Button } from 'antd';
import { UserOutlined, LockOutlined } from '@ant-design/icons';
import 'antd/dist/antd.css';
import { LoginLayout } from '../../layouts/loginLayout';

/**
 * Creates a login screen.
 * @returns Html structure of the login screen.
 */
function Login() {
    /**
     * Handles submission a form when its fields were successfully validated.
     * @param values Fields of the login form.
     */
    const onFinish = (values: any) => {
        /**
         @todo: delete login form log when login API is implemented
        **/
        console.log('Values of the login form: ', values);
    };

    /**
     * Handles submission a form when its validation failed.
     * @param errorInfo Validation errors.
     */
    const onFinishFailed = (errorInfo: any) => {
        /**
         @todo: delete log when error handling is implemented
        **/
        console.log('Errors: ', errorInfo);
    };

    return (
        <LoginLayout>
            <Form
                name="login"
                onFinish={onFinish}
                onFinishFailed={onFinishFailed}
                autoComplete="off"
            >
                <Form.Item
                    name="username"
                    rules={[
                        {
                            required: true,
                            message: 'Prosím zadejte své uživatelské jméno',
                        },
                    ]}
                >
                    <Input
                        prefix={<UserOutlined className="site-form-item-icon" />}
                        placeholder="Uživatelské jméno"
                    />
                </Form.Item>

                <Form.Item
                    name="password"
                    rules={[{ required: true, message: 'Prosím zadejte své heslo' }]}
                >
                    <Input.Password
                        prefix={<LockOutlined className="site-form-item-icon" />}
                        placeholder="Heslo"
                    />
                </Form.Item>
                <Form.Item>
                    <Button type="primary" htmlType="submit" className="w-100">
                        Přihlásit
                    </Button>
                </Form.Item>
            </Form>
        </LoginLayout>
    );
}

export default Login;
